SENDMAIL(8)

NUME
sendmail - un agent de transport al poștei electronice

SINOPSIS
sendmail [fanioane] [adresă ...]
newaliases
mailq [-v]
hoststat
purgestat
smtpd

DESCRIERE
sendmail trimite un mesaj unuia sau mai multor destinatari, trimițând mesajul prin orice rețea este necesar. sendmail efectuează redirecționarea în rețeaua de internet, după cum este necesar, pentru a livra mesajul la locul corect.

sendmail nu este conceput ca o rutină de interfață cu utilizatorul; alte programe oferă interfețe cu utilizatorul ușor de utilizat; sendmail este utilizat numai pentru a livra mesaje preformatate.

Fără opțiuni, sendmail își citește intrarea standard până la sfârșitul fișierului sau până la o linie formată dintr-un singur punct și trimite o copie a mesajului găsit acolo la toate adresele enumerate. Acesta determină rețeaua (rețelele) de utilizat pe baza sintaxei și a conținutului adreselor.

Adresele locale sunt căutate într-un fișier și asociate în mod corespunzător. Folosirea de alias poate fi prevenită prin precedarea adresei cu o bară inversă. Începând cu versiunea 8.10, expeditorul este inclus în orice expansiune de alias, de exemplu, dacă „john” trimite către „group”, iar „group” include „john” în expansiune, atunci scrisoarea va fi livrată și lui „john”.

  Parametrii

-Ac Utilizează submit.cf chiar daca modul de operare nu indica o trimitere inițială de corespondență.

-Am Utilizează sendmail.cf chiar dacă modul de operare indică o trimitere inițială a corespondenței.

-Btip
    Stabilește tipul corpului la tip. Valorile valabile în prezent sunt 7BIT sau 8BITMIME.

-ba Intră în modul ARPANET. Toate liniile de intrare trebuie să se încheie cu un CRLF, iar toate mesajele vor fi generate cu un CRLF la sfârșit. De asemenea, câmpurile „From:” și „Sender:” sunt examinate pentru numele expeditorului.

-bC Verifică fișierul de configurare.

-bd Rulează ca un demon. sendmail se va bifurca și va rula în fundal, ascultând pe soclul 25 pentru conexiunile SMTP primite. Acesta este în mod normal rulat din „/etc/rc”.

-bD La fel ca -bd, cu excepția faptului că rulează în prim-plan.

-bh Imprimă baza de date persistentă privind starea gazdei.

-bH Elimină intrările expirate din baza de date persistentă privind starea gazdei.

-bi Inițializează baza de date de alias.

-bm Livrează corespondența în mod obișnuit (implicit).

-bp Imprimă o listă a cozii (cozilor de așteptare).

-bP Afișează numărul de intrări din coadă (cozi); disponibilă numai cu suport de memorie partajată.

-bs Utilizează protocolul SMTP descris în RFC821 la intrarea și ieșirea standard. Această opțiune implică toate operațiile din opțiunea -ba care sunt compatibile cu SMTP.

-bt Rulează în modul de testare a adreselor. Acest mod citește adresele și arată etapele de analiză; este utilizat pentru depanarea tabelelor de configurare.

-bv Verifică numai numele - nu încearcă să colecteze sau să transmită un mesaj. Modul de verificare este utilizat în mod normal pentru validarea utilizatorilor sau a listelor de distribuție.

-Cfișier
    Utilizează un fișier de configurare alternativ. sendmail renunță la orice privilegii sporite (set-user-ID sau set-group-ID) dacă este specificat un fișier de configurare alternativ.

-D fișier-jurnal
    Trimite rezultatul de depanare la fișierul de jurnal indicat în loc de la ieșirea standard.

-dcategorie.nivel...
    Stabilește opțiunea de depanare pentru categoria la nivel. categoria este fie un număr întreg, fie un nume care specifică subiectul, iar nivel un număr întreg care specifică nivelul de depanare dorit. Nivelurile superioare înseamnă, în general, mai multă ieșire. Se pot specifica mai multe opțiuni prin separarea lor cu virgulă. O listă de categorii numerice de depanare poate fi găsită în fișierul TRACEFLAGS din distribuția sursei sendmail.
    Opțiunea -d0.1 afișează versiunea de sendmail și opțiunile cu care a fost compilat.
    Majoritatea celorlalte categorii sunt utile și documentate numai în codul sursă al sendmail.

-Fnumele-complet
    Definește numele complet al expeditorului.

-fnume
    Definește numele persoanei „de la (from)” (de exemplu, expeditorul plicului de e-mail). Această adresă poate fi, de asemenea, utilizată în antetul „From:” în cazul în care antetul respectiv lipsește în timpul trimiterii inițiale. Adresa expeditorului plicului este utilizată ca destinatar pentru notificările privind starea livrării și poate apărea, de asemenea, într-un antet „Return-Path:”. -f ar trebui să fie utilizată numai de către utilizatorii „de încredere (trusted)” (în mod normal root, daemon și network) sau dacă persoana pe care încercați să o deveniți este aceeași cu persoana care sunteți. În caz contrar, un antet „X-Authentication-Warning ”va fi adăugat mesajului.

-G  Releul („poarta de acces") de transmitere a unui mesaj, de exemplu, atunci când rmail apelează sendmail.

-hN Stabilește numărul de salturi la N. Numărul de salturi este incrementat de fiecare dată când mesajul este procesat. Atunci când atinge o limită, mesajul este returnat cu un mesaj de eroare, victimă a unei bucle de nume-alias. Dacă nu este specificat, liniile „Received:” din mesaj sunt numărate.

-i  Nu elimină un punct de început de pe liniile din mesajele primite și nu tratează un punct pe o linie ca fiind sfârșitul unui mesaj primit. Acest lucru ar trebui să fie definit dacă citiți date dintr-un fișier.

-L etichetă
    Definește identificatorul utilizat în mesajele syslog la eticheta furnizată.

-N condiții-notificare-stadiu-livrare
    Stabilește condițiile de notificare a stării de livrare la condiții-notificare-stadiu-livrare, care poate fi „never” pentru nicio notificare sau o listă separată prin virgule a valorilor „failure” pentru a fi notificat dacă livrarea a eșuat, „delay” pentru a fi notificat dacă livrarea este întârziată și „success” pentru a fi notificat când mesajul este livrat cu succes.

-n  Nu folosește numele-alias.

-O opțiune=valoare
    Definește opțiunea opțiune la valoarea specificată. Această formă utilizează nume lungi. Vedeți mai jos pentru mai multe detalii.

-ox valoare
    Stabilește opțiunea x la valoarea specificată. Această formă utilizează numai nume cu un singur caracter. Numele scurte nu sunt descrise în această pagină de manual; consultați ghidul de instalare și utilizare Sendmail Installation and Operation Guide pentru detalii.

-pprotocol
    Stabilește numele protocolului utilizat pentru a primi mesajul. Acesta poate fi un simplu nume de protocol, cum ar fi „UUCP” sau un protocol și un nume de gazdă, cum ar fi „UUCP:ucbvax”.

-q[timp]
    Procesează mesajele salvate în coadă la intervalele date. Dacă timpul este omis, coada este procesată o singură dată. timpul este dat ca un număr etichetat, cu „s” fiind secunde, „m” fiind minute (implicit), „h” fiind ore, „d” fiind zile, iar „w” fiind săptămâni. De exemplu, „-q1h30m” sau „-q90m” vor stabili amândouă timpul de așteptare la o oră și treizeci de minute. În mod implicit, sendmail va rula în fundal. Această opțiune poate fi utilizată în siguranță cu -bd.

-qp[timp]
    Similar cu -qtimp, cu excepția faptului că, în loc să forțeze periodic un copil pentru a procesa coada, sendmail forțează un singur copil persistent pentru fiecare coadă care alternează între procesarea cozii și repaus. Timpul de repaus este dat ca argument; valoarea implicită este de 1 secundă. Procesul va rămâne întotdeauna în repaus cel puțin 5 secunde în cazul în care coada a fost goală la execuția anterioară a cozii.

-qf Procesează mesajele salvate în coadă o singură dată și nu face fork(), ci rulează în prim-plan.

-qGnume
    Procesează numai lucrările din grupul de așteptare numit nume.

-q[!]Isubșir
    Limitează lucrările procesate la cele care conțin subșir ca un subșir al id-ului cozii sau nu atunci când ! este specificat.

-q[!]Qsubșir
    Limitează sarcinile procesate la sarcinile aflate în carantină care conțin subșir ca subșir al motivului carantinei sau nu atunci când este specificat !.

-q[!]Rsubșir
    Limitează lucrările procesate la cele care conțin subșir ca un subșir al unuia dintre destinatari sau nu atunci când ! este specificat.

-q[!]Ssubșir
    Limitează lucrările procesate la cele care conțin subșir ca un subșir al expeditorului sau nu atunci când ! este specificat.

-Q[motiv]
    Pune în carantină un element normal din coada de așteptare cu motivul dat sau scoate din carantină elementele din coada de așteptare aflate în carantină dacă nu este dat niciun motiv. Această opțiune ar trebui utilizată numai cu un anumit tip de potrivire a elementelor, conform descrierii de mai sus.

-R returnare
    Stabilește cantitatea de mesaj care va fi returnată dacă mesajul este respins. Parametrul returnare poate fi „full” pentru a returna întregul mesaj sau „hdrs” pentru a returna numai antetul. În acest din urmă caz, și mesajele locale care sunt respinse returnează doar antetul.

-rnume
    O formă alternativă și învechită a opșiunii -f.

-t  Citește mesajul pentru destinatari. Liniile „To:”, „Cc:” și „Bcc:” vor fi scanate pentru adresele destinatarilor. Linia „Bcc:” va fi ștearsă înainte de transmitere.

-U  Dacă trimiterea unui mesaj prin linia de comandă necesită utilizarea argumentului SMTPUTF8 pentru comanda MAIL, de exemplu, deoarece un antet utilizează codificarea UTF-8, dar adresele din linia de comandă sunt toate ASCII, atunci trebuie utilizată această opțiune. Disponibilă numai dacă suportul EAI este activat și opțiunea SMTPUTF8 este activată.

-V id-plic
    Definește id-ul plicului original. Acesta este propagat prin SMTP către serverele care acceptă condiții-notificare-stadiu-livrare și este returnat în mesajele de eroare conforme cu condiției-de-notificare-a-stadiului-de-livrare.

-v  Trece în modul verbos (afișează informații detaliate). Vor fi anunțate expansiuni de alias, etc.

-X fișier-jurnal
    Înregistrează tot traficul care intră și iese din agenții de poștă electronică în fișierul jurnal indicat. Acest lucru ar trebui să fie utilizat doar ca ultimă soluție pentru depanarea erorilor agenților de corespondență. Această opțiune va înregistra foarte rapid o mulțime de date.

--  Oprește procesarea fanioanelor de comandă și utilizează restul argumentelor ca adrese.

  Opțiuni
Există, de asemenea, o serie de opțiuni de procesare care pot fi definite. În mod normal, acestea vor fi utilizate numai de către un administrator de sistem. Opțiunile pot fi definite fie în linia de comandă, cu ajutorul fanionului -o (pentru denumiri scurte), fie cu ajutorul fanionului -O (pentru denumiri lungi), fie în fișierul de configurare. Aceasta este o listă parțială limitată la acele opțiuni care sunt susceptibile de a fi utile în linia de comandă și prezintă doar denumirile lungi; pentru o listă completă (și detalii), consultați Sendmail Installation and Operation Guide. Opțiunile sunt:

AliasFile=fișier
    Utilizează un fișier de alias alternativ.

HoldExpensive
    În cazul agenților de poștă electronică la care conectarea este considerată „costisitoare”, nu inițiază conectarea imediată. Această operație necesită coada de așteptare.

CheckpointInterval=N
    Verifică fișierul de coadă de așteptare după fiecare N livrări reușite (implicit 10). Acest lucru evită livrările duplicate excesive atunci când trimiteți către liste lungi de corespondență întrerupte de blocajele sistemului.

DeliveryMode=x
    Stabilește modul de livrare la x. Modurile de livrare sunt „i” pentru livrare interactivă (sincronă), „b” pentru livrare în fundal (asincronă), „q” doar pentru coada de așteptare - adică livrarea efectivă se face la următoarea execuție a cozii de așteptare și „d” pentru amânare - la fel ca „q”, cu excepția faptului că sunt evitate căutările în baza de date pentru hărțile care au definită opțiunea „-D” (implicit pentru harta gazdă).

ErrorMode=x
    Stabilește procesarea erorilor în modul x. Modurile valide sunt „m” pentru a trimite înapoi mesajul de eroare, „w” pentru a „scrie” înapoi mesajul de eroare (sau pentru a-l trimite înapoi dacă expeditorul nu este conectat), „p” pentru a afișa erorile pe terminal (implicit), „q” pentru a renunța la mesajele de eroare (se returnează doar starea de ieșire) și „e” pentru a efectua o prelucrare specială pentru BerkNet. Dacă textul mesajului nu este trimis înapoi prin modurile „m” sau „w” și dacă expeditorul este local pe această mașină, o copie a mesajului este anexată la fișierul dead.letter din directorul personal al expeditorului.

SaveFromLine
    Salvează linii de tip UNIX From: în fața mesajelor.

MaxHopCount=N
    Numărul maxim de ori de care un mesaj are voie să „salte” înainte de a decide că se află într-o buclă.

IgnoreDots
    Nu consideră punctele de pe o linie ca fiind un terminator de mesaj.

SendMimeErrors
    Trimite mesaje de eroare în format MIME. Dacă nu este definită, extensia SMTP DSN („Delivery Status Notification”: notificarea stadiului de livrare) este dezactivată.

ConnectionCacheTimeout=timp-așteptare
    Stabilește timpul de expirare pentru memoria cache a conexiunii.

ConnectionCacheSize=N
    Stabilește dimensiunea memoriei cache a conexiunii.

LogLevel=n
    Nivelul de jurnalizare.

MeToo=False
    Nu trimite către „mine” (expeditorul) dacă mă aflu într-o expansiune de alias.

CheckAliases
    Validează partea dreaptă a pseudonimelor în timpul unei comenzi newaliases(1).

OldStyleHeaders
    Dacă este activată, acest mesaj poate avea antete în stil vechi. Dacă nu este activată, se garantează că acest mesaj va avea antete în stil nou (de exemplu, virgule în loc de spații între adrese). Dacă este activată, se utilizează un algoritm adaptiv care va determina corect formatul antetului în majoritatea cazurilor.

QueueDirectory=dir-coadă
    Selectează directorul în care vor fi plasate mesajele în coadă.

StatusFile=fișier
    Salvează statisticile în fișierul specificat.

Timeout.queuereturn=timp
    Stabilește timpul de așteptare pentru mesajele neeliberate din coadă la timpul specificat. După ce livrarea a eșuat (de exemplu, din cauza faptului că o gazdă este indisponibilă) pentru această perioadă de timp, mesajele eșuate vor fi returnate expeditorului. Valoarea implicită este de cinci zile.

UserDatabaseSpec=bază-date-utilizatori
    Dacă este definită, o bază de date a utilizatorilor este consultată pentru a obține informații privind redirecționarea. Puteți considera acest lucru un adjuvant al mecanismului de folosire a numelor-alias, cu excepția faptului că baza de date este destinată a fi distribuită; numele-alias sunt locale pentru o anumită gazdă. Această opțiune poate să nu fie disponibilă dacă programul «sendmail». nu are compilată opțiunea USERDB.

ForkEachJob
    Bifurcă fiecare sarcină în timpul rulării cozii. Poate fi convenabil pe mașinile cu memorie redusă.

SevenBitInput
    Decupează mesajele primite la șapte biți.

EightBitMode=mod
    Stabilește gestionarea intrării pe opt biți către destinații pe șapte biți la modul: m (mimefy) va converti în formatul MIME pe șapte biți, p (pass) îl va trece ca opt biți (dar încalcă protocoalele), iar s (strict) va respinge mesajul.

MinQueueAge=timp-așteptare
    Stabilește cât timp trebuie să stea o sarcină în coada de așteptare între încercările de a o trimite.

DefaultCharSet=set-caractere
    Definește setul implicit de caractere utilizat pentru etichetarea datelor pe 8 biți care nu sunt etichetate altfel.

NoRecipientAction=acțiune
    Stabilește comportamentul atunci când nu există antete de destinatar (To:, Cc: sau Bcc:) în mesaj la acțiune: „none” - lasă mesajul neschimbat, „add-to” - adaugă un antet To: cu destinatarii plicului, „add-apparently-to” - adaugă un antet Apparently-To: cu destinatarii plicului, „add-bcc” - adaugă un antet Bcc: gol, iar „add-to-undisclosed” - adaugă un antet cu textul „To: undisclosed-recipients:;”.

MaxDaemonChildren=N
    Stabilește la N numărul maxim de procese-copil pe care un demon SMTP de intrare va fi autorizat să îi creeze în orice moment.

ConnectionRateThrottle=N
    Stabilește numărul maxim de conexiuni pe secundă la portul SMTP la N.

În nume-alias, primul caracter al unui nume poate fi o bară verticală pentru a determina interpretarea restului numelui ca o comandă la care să se trimită mesajul. Poate fi necesar să puneți între ghilimele numele pentru a împiedica sendmail să suprime spațiile libere dintre argumente. De exemplu, un alias comun este:

    msgs: "|/usr/bin/msgs -s"

Numele-alias pot avea și sintaxa „:include:nume-fișier” pentru a cere lui sendmail să citească fișierul specificat pentru o listă de destinatari. De exemplu, un alias precum:

    poets: ":include:/usr/local/lib/poets.list"

va citi /usr/local/lib/poets.list pentru lista de adrese care alcătuiesc grupul.

sendmail returnează o stare de ieșire care descrie ceea ce a făcut. Codurile sunt definite în <sysexits.h>:

EX_OK
    Finalizarea cu succes a tuturor adreselor.

EX_NOUSER
    Numele de utilizator nu este recunoscut.

EX_UNAVAILABLE
    „Catchall” înseamnă că resursele necesare nu au fost disponibile.

EX_SYNTAX
    Eroare de sintaxă în adresă.

EX_SOFTWARE
    Eroare internă de software, inclusiv argumente greșite.

EX_OSERR
    Eroare temporară a sistemului de operare, cum ar fi „cannot fork”.

EX_NOHOST
    Numele gazdei nu este recunoscut.

EX_TEMPFAIL
    Mesajul nu a putut fi trimis imediat, dar a fost pus la coadă.

Dacă este invocat ca newaliases, sendmail va reface baza de date a pseudonimelor. Dacă este invocat ca mailq, sendmail va afișa conținutul cozii de corespondență. Dacă este invocat ca hoststat, sendmail va imprima baza de date persistentă privind starea gazdelor. Dacă este invocat ca purgestat, sendmail va curăța intrările expirate din baza de date a stării gazdelor persistente. Dacă este invocat ca smtpd, sendmail va acționa ca un demon, ca și cum ar fi specificată opțiunea -bd.

NOTE
sendmail este adesea învinuit pentru multe probleme care sunt de fapt rezultatul altor probleme, cum ar fi modurile prea permisive ale directoarelor. Din acest motiv, sendmail verifică modurile directoarelor și fișierelor de sistem pentru a determina dacă acestea pot fi de încredere. Deși aceste verificări pot fi dezactivate și securitatea sistemului poate fi redusă prin activarea opțiunii DontBlameSendmail, problemele de permisiune ar trebui rezolvate. Pentru mai multe informații, consultați ghidul de instalare și utilizare Sendmail Installation and Operation Guide

FIȘIERE
Cu excepția fișierului /etc/mail/sendmail.cf în sine, următoarele nume de rute sunt toate specificate în /etc/mail/sendmail.cf. Astfel, aceste valori sunt doar aproximative.

/etc/mail/aliases
    date brute pentru numele alias

/etc/mail/aliases.db
    baza de date pentru numele alias

/etc/mail/sendmail.cf
    fișier de configurare

/etc/mail/helpfile
    fișier de ajutor

/var/lib/sendmail/sendmail.st
    statistici colectate

/var/spool/mqueue/*
    fișiere temporale

CONSULTAȚI ȘI
binmail(1), mail(1), rmail(1), syslog(3), aliases(5), mailaddr(7), rc(8)

DARPA Internet Request For Comments RFC819, RFC821, RFC822. Sendmail Installation and Operation Guide, No. 8, SMM.

http://www.sendmail.org/

US Patent Numbers 6865671, 6986037.

ISTORIC
Comanda sendmail a apărut în 4.2BSD.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.